搜索

circle-info

Smart SearchsmartSearch.do)即将废弃。

新接入请使用 search.do

Search

post

Dependency: No preceding function needs to be called before Search.

The search results will include a lot of items. Some highlights are:

  • The returned currency is by configuration according to the business agreement between you and Atlas

  • The total cost to purchase for a single adult passenger is: adultPrice+adultTax+transactionFeePerPax

  • For the airlines which support pass through payment method, we would set supportCreditTransPayment to 1 and present the vendor's fare in the vendorFare element. Alternatively, if the airline doesn't support pass through payment method, we would set supportCreditTransPayment to 0 and the vendorFare element will be null.

  • You can choose to show or hide ancillaryProductElements in search response, according to the configuration of each client in the backend system.

  • The links element will have the link to the terms and conditions of the airlines.

  • Display Currency is only to be used for display purposes. The amount in the response is not to be used for fare comparison or accounting purposes. The display currency conversion will be available in fares, taxes and ancillary baggage sections of the search and verify response. When the "vendorFare" element is available, the conversion will be from the vendor fare. In the absence of the "vendorFare" element, the conversion would be from the transacted fare.

Endpoint: https://sandbox.atriptech.com/search.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: JWC21872_api_1
x-atlas-client-secretstringRequiredExample: w(s5VY8[qAT!vwcXa}DC%4O2$f5mY7sL
Body
tripTypestring · enumRequired

The trip type(one way or round trip) you want to search.

  • 1: Oneway
  • 2: Return Trip
Example: 1Possible values:
adultNuminteger · min: 1 · max: 9Required

Adult passenger count. Please note that the total number of adults(adultNum) and children(childNum) cannot exceed 9.

Default: 0Example: 1
childNuminteger · max: 8Required

Child passenger count. Please note that the total number of adults(adultNum) and children(childNum) cannot exceed 9

Default: 0Example: 0
infantNuminteger · max: 9Required

Infant passenger count, no more than the number of adult

Default: 0Example: 0
fromCitystringRequired

IATA code of the departure city or airport (in capital letters).When the airport code you sent is different from the code of the city where the airport is located, we can recognize that it is an airport, otherwise we will treat it as a city code. We will filter flights based on your departure location type.

Example: LON
toCitystringRequired

IATA code of the arrival city or airport (in capital letters).When the airport code you sent is different from the code of the city where the airport is located, we can recognize that it is an airport, otherwise we will treat it as a city code. We will filter flights based on your departure location type.

Example: PAR
fromDatestring · dateRequired

Departure date, the format is YYYYMMDD

Example: 20251010
retDatestring · date · nullableOptional

Return date, the format is YYYYMMDD. If you are searching for round-trip, the return date is mandatory.

airlinesstring[] · nullableOptional

An array of IATA Codes(in capital letters) of airlines. The result will only contain the airlines specified in the search request.

Example: U2
fromFlightNumbersstring[] · nullableOptional

Search for specified departure flights. Each element represents one flight. Connecting flight numbers are separated by "," (comma). Example:

  • ["FR123"]: A direct flight
  • ["FR456,FR789"]: A connecting flight
  • ["FR123", "FR456,FR789"]: 2 flights, a direct flight and a connecting flight
retFlightNumbersstring[] · nullableOptional

Search for specified return flights. Each element represents one flight. Connecting flight numbers are separated by "," (comma).

includeMultipleFareFamilyboolean · nullableOptional

Search only for the lowest fare or for the Fare Families. By default, each flight only returns the lowest fare, and each array element in the response represents: flight - lowest fare. If this parameter is turned on, each element of the search results will be a combination of flight and one of the fares, that is, different elements will have the same flight but different ticket fare.

Default: false
currencystring · nullableOptional

This is the settlement currency. The 3-letter currency code should be entered. This field is optional, and when you want to settle with Atlas in different currencies (especially when you have opened multiple deposit accounts in different currencies in Atlas), you need to use this parameter.

requestSourcestring · nullableOptional

Identify the source of the search traffic, E.g. Google Flights, Oganic Search, SkyScanner.

residentCodestring · nullableOptional

Resident discount code

Responses
post
/search.do
200Success

Last updated

Was this helpful?